> For the complete documentation index, see [llms.txt](https://docs.finpay.id/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.finpay.id/finpay-pg/core-api/direct-debit/mandiri/verify-otp-payment.md).

# Verify OTP - Payment

Verify OTP for a Direct Debit payment using the SNAP API.

Verify the OTP for a payment flow.

### Endpoint

| Environment | Method | URL                                                    |
| ----------- | ------ | ------------------------------------------------------ |
| Development | POST   | <https://devo.finnet.co.id/snap/v2.0/otp-verification> |
| Production  | POST   | TBD                                                    |

### Header Request

<table><thead><tr><th width="79" data-type="number">No</th><th>Name</th><th>Type</th><th>Mandatory</th><th>Description</th></tr></thead><tbody><tr><td>1</td><td>X-SIGNATURE</td><td>string</td><td>M</td><td>Request signature. See <a href="/finpay-pg/snap/signature.md">Signature</a>. Example: <code>{{signature}}</code>.</td></tr><tr><td>2</td><td>X-TIMESTAMP</td><td>string</td><td>M</td><td>Request timestamp. Example: <code>{{timestamp}}</code>.</td></tr><tr><td>3</td><td>X-PARTNER-ID</td><td>string</td><td>M</td><td>Partner identifier. Example: <code>cM8GIPvoEpzLaHQfvL1e9g</code>.</td></tr><tr><td>4</td><td>X-EXTERNAL-ID</td><td>string</td><td>M</td><td>External reference identifier. Example: <code>{{external-id}}</code>.</td></tr><tr><td>5</td><td>CHANNEL-ID</td><td>string</td><td>M</td><td>Channel identifier. Example: <code>drdbt</code>.</td></tr><tr><td>6</td><td>test</td><td>string</td><td>M</td><td>Testing flag. Example: <code>true</code>.</td></tr></tbody></table>

### Body Request

Content-Type: `application/json`

<table><thead><tr><th width="79" data-type="number">No</th><th>Name</th><th>Type</th><th>Mandatory</th><th>Description</th></tr></thead><tbody><tr><td>1</td><td>originalReferenceNo</td><td>string</td><td>M</td><td>Original reference number from the payment initiation step.</td></tr><tr><td>2</td><td>otp</td><td>string</td><td>M</td><td>OTP value provided by the customer.</td></tr><tr><td>3</td><td>chargeToken</td><td>string</td><td>M</td><td>Token used to identify the OTP verification context.</td></tr><tr><td>4</td><td>type</td><td>string</td><td>M</td><td>OTP verification type. Value: <code>payment</code>.</td></tr><tr><td>5</td><td>additionalInfo</td><td>object</td><td>M</td><td>Additional data for the OTP verification request.</td></tr><tr><td>6</td><td>additionalInfo.bankCardToken</td><td>string</td><td>M</td><td>Bank card token used for payment context.</td></tr></tbody></table>

#### Sample Request

```json
{
  "originalReferenceNo": "238885920712",
  "otp": "999999",
  "chargeToken": "CHARGE_2TPGBW4ETZQDMP4QDH6SCSXC2CT4QOCH::0008",
  "type": "payment",
  "additionalInfo": {
    "bankCardToken": "card_.eyJpYXQiOjE3MzE5MTc5MjAsImlzcyI6IkJhbmsgQlJJIC0gRENFIiwianRpIjoiYjRkM2U5MjAtZjdjOS00YWZmLTgxZTYtZjllZWM3YjQ5NjMxIiwicGFydG5lcklkIjoi77-9Iiwic2VydmljZU5hbWUiOiJERF9FWFRFUk5BTF9TRVJWSUNFIn0.fEnzwV_dix4r_YRgLshurEgEBDMuNLnjKyl1F0SrPBGo3HaDMn5HZ3A1xQ5n10tsH3FCG7lAXwg_e-ieLOrk9hSXBcIzquTIBuJ0Iw7K0TocnszQeY1J9BRGL5j3QVWQu58_oAvwSeECbyyBbzHpkSctWrxuBi1YXV8fzhTyiJodm8LWnqFdpJPdziG5Up_asMX_AwMeMpts9Qpt6oXgYt12urFmV8F52JrGsbND_wUYo2t7cJN_2bB3vmiSxzxCdbTcMjT6tT2sqUysNqSe2hsOmV4iRe2LKVf-eFrXza1AE2z8RsHwQAXPyvMW5szFIOAaUDS10RjmRraAQgotPQ"
  }
}
```

### Body Response

#### `200 OK`

Returns `application/json`.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.finpay.id/finpay-pg/core-api/direct-debit/mandiri/verify-otp-payment.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
